Create Lease: Entrata
https://api.propexo.com/v1/leases/entrata/| Method |
|---|
| leases/sendLeases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the floor plan
The start date associated with the lease
The end date associated with the lease
The move-in date associated with the lease
The first name associated with the resident
The last name associated with the resident
The first address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The second address line associated with the resident
The primary email address associated with the resident
Primary phone number associated with the resident
The date of birth associated with the resident
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the lease period
The Propexo unique identifier for the floor plan
The start date associated with the lease
The end date associated with the lease
The move-in date associated with the lease
The first name associated with the resident
The last name associated with the resident
The first address line associated with the resident
The city associated with the resident
The state associated with the resident
The zip code associated with the resident
The second address line associated with the resident
The primary email address associated with the resident
Primary phone number associated with the resident
The date of birth associated with the resident
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_2": "string",
"phone_1": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z"
}
}